#!/bin/bash

n=1
lastaddr=""
cd /update
ver=$(cat version|awk -F"patch-v" '{print $2}')
if [ "$ver" = "" ];then ver="100";fi
tmp=`expr $ver + 1`
newver="patch-v""$tmp"
while true
do
addr=$(cat /update/server_addr|head -$n|tail -1)
if [ "$addr" != "$lastaddr" ]
then
        lastaddr=$addr;
else
        echo "all server can not connection"
        exit
fi
patchUrl="http://$addr/download/patch_7603/"
patch_index_url=$patchUrl"HT_M7603_patch_checksum"
patch_index="/tmp/indoor_hotspot_patch_index"

echo $patch_index_url

curl -s  -H 'Cache-Control: no-cache' --connect-timeout 10 --max-time 10 $patch_index_url > $patch_index

res=$(cat $patch_index|grep "patch-v")
if [ "$res" = "" ]
then
        n=`expr $n + 1`;
else
        break
fi

done

res=$(cat $patch_index | grep $newver)
checksum=$(cat $patch_index | grep $newver| awk -F'"' '{print $4}')

if [ "$res" = "" ];
then echo "patch already on the latest patch version"
     exit 0
fi

if [ "$checksum" = "" ];then echo "no checksum,exit";exit;fi

cd /update
rm $newver.tar.gz
wget $patchUrl$newver.tar.gz >/dev/null 2>&1
echo "find new patch "$newver

cal=$(sha256sum $newver.tar.gz | awk -F ' ' '{print $1}')

if [ "$checksum" != "$cal" ];
then echo "checksum failed"
     exit 0
fi

rm -rf $newver

dd if=$newver.tar.gz |openssl des3 -d -k heltec-bertebf345cfh5436 | tar zxf -
rm $newver.tar.gz

if [ -d "/update/$newver" ]
then
$newver/update.sh
fi
